DPMSGetTimeouts(3)

NAME
DPMSGetTimeouts - retrieves the timeout values used by the X server for DPMS timings

SYNOPSIS

cc [ flag ... ] file ... -lXext [ library ... ]
#include <X11/extensions/dpms.h>

Bool DPMSGetTimeouts
(
      Display *display,
      CARD16 *standby,
      CARD16 *suspend,
      CARD16 *off
);

ARGUMENTS

display
    Specifies the connection to the X server

standby
    Specifies the current standby timeout in seconds

suspend
    Specifies the current suspend timeout in seconds

off Specifies the current off timeout in seconds

DESCRIPTION

The DPMSGetTimeouts function retrieves the timeout values used by the X server for DPMS timings.

The value standby is the amount of time of inactivity in seconds before standby mode is invoked. A value of zero indicates that this mode has been disabled.

The value suspend is the amount of time of inactivity in seconds before the second level of power savings is invoked. A value of zero indicates that this mode has been disabled.

The value off is the amount of time of inactivity in seconds before the third and final level of power savings is invoked. A value of zero indicates that this mode has been disabled.

RETURN VALUES

TRUE
    The DPMSGetTimeouts function returns TRUE when values are returned.

FALSE
    The DPMSGetTimeouts function returns FALSE when no values returned.

SEE ALSO
DPMSCapable(3), DPMSInfo(3), DPMSSetTimeouts(3)